package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 档案管理对象 sys_dangan
 * 
 * @author ruoyi
 * @date 2022-10-20
 */
public class Dangan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long danganId;

    /** 系统名称 */
    @Excel(name = "系统名称")
    private String danganName;

    //档案编号
    private String danganNo;

    /** 系统状态（1正常、2维护、3故障、4废弃） */
    @Excel(name = "系统状态", readConverterExp = "1=正常、2维护、3故障、4废弃")
    private String status;

    /** 系统负责人 */
    @Excel(name = "系统负责人")
    private String sysPerson;

    /** 类别 */
    @Excel(name = "类别")
    private String fileType;

    /** 型号/版本 */
    @Excel(name = "型号/版本")
    private String model;

    /** 所属项目ID */
    @Excel(name = "所属项目ID")
    private String projectId;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 运行设备ID */
    @Excel(name = "运行设备ID")
    private String runDeviceId;

    /** 关联设备ID */
    @Excel(name = "关联设备ID")
    private String relateDeviceId;

    /** 维护项目ID */
    @Excel(name = "维护项目ID")
    private String maintainItemId;

    /** 厂家质保期 */
    @Excel(name = "厂家质保期")
    private String factoryTime;

    /** 项目质保期 */
    @Excel(name = "项目质保期")
    private String projectTime;

    /** 使用单位 */
    @Excel(name = "使用单位")
    private String useUnit;

    /** 介质 */
    @Excel(name = "介质")
    private String medium;
    //私钥
    private String  keyId;

    /** 维护时间 */
    @Excel(name = "维护时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date maintainTime;

    /** 认证页面地址 */
    @Excel(name = "认证页面地址")
    private String pageAddress;

    /** 系统状态检测地址 */
    @Excel(name = "系统状态检测地址")
    private String testAddress;

    /** 系统建设厂商 */
    @Excel(name = "系统建设厂商")
    private String buildFactory;

    /** 建设时间 */
    @Excel(name = "建设时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date buildFactoryTime;

    /** 厂商负责人 */
    @Excel(name = "厂商负责人")
    private String factoryPerson;

    /** 厂商负责人电话 */
    @Excel(name = "厂商负责人电话")
    private String factoryPersonPhone;

    /** 开发语言 */
    @Excel(name = "开发语言")
    private String language;

    /** 部署服务器IP */
    @Excel(name = "部署服务器IP")
    private String serverIp;

    /** 服务器位置 */
    @Excel(name = "服务器位置")
    private String serverLocation;

    /** 服务器配置信息 */
    @Excel(name = "服务器配置信息")
    private String serverInfo;

    /** 是否专用服务器(1是2否) */
    @Excel(name = "是否专用服务器(1是2否)")
    private String serverBasedYesNo;

    /** 运维负责人 */
    @Excel(name = "运维负责人")
    private String opsPerson;

    /** 主管单位 */
    @Excel(name = "主管单位")
    private String chargeUnit;

    /** 架构模式(BS/CS) */
    @Excel(name = "架构模式(BS/CS)")
    private String mode;

    /** 文档信息 */
    @Excel(name = "文档信息")
    private String fileInfo;

    private String fileName;

    private String filePath;


    public String getDanganNo() {
        return danganNo;
    }

    public void setDanganNo(String danganNo) {
        this.danganNo = danganNo;
    }

    public Long getDanganId() {
        return danganId;
    }

    public void setDanganId(Long danganId) {
        this.danganId = danganId;
    }

    public String getDanganName() {
        return danganName;
    }

    public void setDanganName(String danganName) {
        this.danganName = danganName;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSysPerson(String sysPerson) 
    {
        this.sysPerson = sysPerson;
    }

    public String getSysPerson() 
    {
        return sysPerson;
    }
    public void setFileType(String fileType) 
    {
        this.fileType = fileType;
    }

    public String getFileType() 
    {
        return fileType;
    }
    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }
    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setBrand(String brand) 
    {
        this.brand = brand;
    }

    public String getBrand() 
    {
        return brand;
    }
    public void setRunDeviceId(String runDeviceId) 
    {
        this.runDeviceId = runDeviceId;
    }

    public String getRunDeviceId() 
    {
        return runDeviceId;
    }
    public void setRelateDeviceId(String relateDeviceId) 
    {
        this.relateDeviceId = relateDeviceId;
    }

    public String getRelateDeviceId() 
    {
        return relateDeviceId;
    }
    public void setMaintainItemId(String maintainItemId) 
    {
        this.maintainItemId = maintainItemId;
    }

    public String getMaintainItemId() 
    {
        return maintainItemId;
    }
    public void setFactoryTime(String factoryTime) 
    {
        this.factoryTime = factoryTime;
    }

    public String getFactoryTime() 
    {
        return factoryTime;
    }
    public void setProjectTime(String projectTime) 
    {
        this.projectTime = projectTime;
    }

    public String getProjectTime() 
    {
        return projectTime;
    }
    public void setUseUnit(String useUnit) 
    {
        this.useUnit = useUnit;
    }

    public String getUseUnit() 
    {
        return useUnit;
    }
    public void setMedium(String medium) 
    {
        this.medium = medium;
    }

    public String getMedium() 
    {
        return medium;
    }
    public void setMaintainTime(Date maintainTime) 
    {
        this.maintainTime = maintainTime;
    }

    public Date getMaintainTime() 
    {
        return maintainTime;
    }
    public void setPageAddress(String pageAddress) 
    {
        this.pageAddress = pageAddress;
    }

    public String getPageAddress() 
    {
        return pageAddress;
    }
    public void setTestAddress(String testAddress) 
    {
        this.testAddress = testAddress;
    }

    public String getTestAddress() 
    {
        return testAddress;
    }
    public void setBuildFactory(String buildFactory) 
    {
        this.buildFactory = buildFactory;
    }

    public String getBuildFactory() 
    {
        return buildFactory;
    }
    public void setBuildFactoryTime(Date buildFactoryTime) 
    {
        this.buildFactoryTime = buildFactoryTime;
    }

    public Date getBuildFactoryTime() 
    {
        return buildFactoryTime;
    }
    public void setFactoryPerson(String factoryPerson) 
    {
        this.factoryPerson = factoryPerson;
    }

    public String getFactoryPerson() 
    {
        return factoryPerson;
    }
    public void setFactoryPersonPhone(String factoryPersonPhone) 
    {
        this.factoryPersonPhone = factoryPersonPhone;
    }

    public String getFactoryPersonPhone() 
    {
        return factoryPersonPhone;
    }
    public void setLanguage(String language) 
    {
        this.language = language;
    }

    public String getLanguage() 
    {
        return language;
    }
    public void setServerIp(String serverIp) 
    {
        this.serverIp = serverIp;
    }

    public String getServerIp() 
    {
        return serverIp;
    }
    public void setServerLocation(String serverLocation) 
    {
        this.serverLocation = serverLocation;
    }

    public String getServerLocation() 
    {
        return serverLocation;
    }
    public void setServerInfo(String serverInfo) 
    {
        this.serverInfo = serverInfo;
    }

    public String getServerInfo() 
    {
        return serverInfo;
    }
    public void setServerBasedYesNo(String serverBasedYesNo) 
    {
        this.serverBasedYesNo = serverBasedYesNo;
    }

    public String getKeyId() {
        return keyId;
    }

    public void setKeyId(String keyId) {
        this.keyId = keyId;
    }

    public String getServerBasedYesNo()
    {
        return serverBasedYesNo;
    }
    public void setOpsPerson(String opsPerson) 
    {
        this.opsPerson = opsPerson;
    }

    public String getOpsPerson() 
    {
        return opsPerson;
    }
    public void setChargeUnit(String chargeUnit) 
    {
        this.chargeUnit = chargeUnit;
    }

    public String getChargeUnit() 
    {
        return chargeUnit;
    }
    public void setMode(String mode) 
    {
        this.mode = mode;
    }

    public String getMode() 
    {
        return mode;
    }
    public void setFileInfo(String fileInfo) 
    {
        this.fileInfo = fileInfo;
    }

    public String getFileInfo() 
    {
        return fileInfo;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("danganId", getDanganId())
            .append("danganName", getDanganName())
            .append("status", getStatus())
            .append("sysPerson", getSysPerson())
            .append("fileType", getFileType())
            .append("model", getModel())
            .append("projectId", getProjectId())
            .append("brand", getBrand())
            .append("runDeviceId", getRunDeviceId())
            .append("relateDeviceId", getRelateDeviceId())
            .append("maintainItemId", getMaintainItemId())
            .append("factoryTime", getFactoryTime())
            .append("projectTime", getProjectTime())
            .append("useUnit", getUseUnit())
            .append("medium", getMedium())
            .append("maintainTime", getMaintainTime())
            .append("pageAddress", getPageAddress())
            .append("testAddress", getTestAddress())
            .append("buildFactory", getBuildFactory())
            .append("buildFactoryTime", getBuildFactoryTime())
            .append("factoryPerson", getFactoryPerson())
            .append("factoryPersonPhone", getFactoryPersonPhone())
            .append("language", getLanguage())
            .append("serverIp", getServerIp())
            .append("serverLocation", getServerLocation())
            .append("serverInfo", getServerInfo())
            .append("serverBasedYesNo", getServerBasedYesNo())
            .append("opsPerson", getOpsPerson())
            .append("chargeUnit", getChargeUnit())
            .append("mode", getMode())
            .append("fileInfo", getFileInfo())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
